Debian Bug report logs - #624942
xsd: FTBFS: elements.cxx:329:23: error: 'XSDFrontend::SemanticGraph::Path' has no member named 'native_file_string'

version graph

Package: src:xsd; Maintainer for src:xsd is Raphael Bossek <bossekr@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 2 May 2011 12:48:47 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version xsd/3.3.0.1-1.1

Fixed in version xsd/3.3.0.1-1.2

Done: Luca Falavigna <dktrkranz@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Raphael Bossek <bossekr@debian.org>:
Bug#624942; Package src:xsd. (Mon, 02 May 2011 12:48:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Raphael Bossek <bossekr@debian.org>. (Mon, 02 May 2011 12:48:50 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: xsd: FTBFS: elements.cxx:329:23: error: 'XSDFrontend::SemanticGraph::Path' has no member named 'native_file_string'
Date: Mon, 2 May 2011 14:39:51 +0200
Source: xsd
Version: 3.3.0.1-1.1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110502 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> c++ /build/user-xsd_3.3.0.1-1.1-amd64-pvChie/xsd-3.3.0.1/xsd-srcdir/xsd/xsd/cxx/parser/parser-header.cxx
> /build/user-xsd_3.3.0.1-1.1-amd64-pvChie/xsd-3.3.0.1/xsd-srcdir/xsd/xsd/cxx/elements.cxx: In member function 'CXX::String CXX::Context::ns_name(XSDFrontend::SemanticGraph::Namespace&)':
> /build/user-xsd_3.3.0.1-1.1-amd64-pvChie/xsd-3.3.0.1/xsd-srcdir/xsd/xsd/cxx/elements.cxx:329:23: error: 'XSDFrontend::SemanticGraph::Path' has no member named 'native_file_string'
> c++ /build/user-xsd_3.3.0.1-1.1-amd64-pvChie/xsd-3.3.0.1/xsd-srcdir/xsd/xsd/cxx/parser/parser-inline.cxx
> In file included from /build/user-xsd_3.3.0.1-1.1-amd64-pvChie/xsd-3.3.0.1/xsd-srcdir/xsd/xsd/cxx/tree/generator.hxx:14:0,
>                  from /build/user-xsd_3.3.0.1-1.1-amd64-pvChie/xsd-3.3.0.1/xsd-srcdir/xsd/xsd/xsd.cxx:29:
> /build/user-xsd_3.3.0.1-1.1-amd64-pvChie/xsd-3.3.0.1/xsd-srcdir/xsd/xsd/xsd.hxx: In destructor 'AutoUnlink::~AutoUnlink()':
> /build/user-xsd_3.3.0.1-1.1-amd64-pvChie/xsd-3.3.0.1/xsd-srcdir/xsd/xsd/xsd.hxx:41:26: error: 'XSDFrontend::SemanticGraph::Path' has no member named 'native_file_string'
> /build/user-xsd_3.3.0.1-1.1-amd64-pvChie/xsd-3.3.0.1/xsd-srcdir/xsd/xsd/cxx/parser/elements.cxx: In member function 'Cult::Types::Fundamental::Void CXX::Parser::Includes::traverse_(XSDFrontend::SemanticGraph::Uses&)':
> /build/user-xsd_3.3.0.1-1.1-amd64-pvChie/xsd-3.3.0.1/xsd-srcdir/xsd/xsd/cxx/parser/elements.cxx:247:25: error: 'XSDFrontend::SemanticGraph::Path' has no member named 'native_file_string'
> In file included from /build/user-xsd_3.3.0.1-1.1-amd64-pvChie/xsd-3.3.0.1/xsd-srcdir/xsd/xsd/cxx/parser/generator.hxx:19:0,
>                  from /build/user-xsd_3.3.0.1-1.1-amd64-pvChie/xsd-3.3.0.1/xsd-srcdir/xsd/xsd/cxx/parser/generator.cxx:11:
> /build/user-xsd_3.3.0.1-1.1-amd64-pvChie/xsd-3.3.0.1/xsd-srcdir/xsd/xsd/xsd.hxx: In destructor 'AutoUnlink::~AutoUnlink()':
> /build/user-xsd_3.3.0.1-1.1-amd64-pvChie/xsd-3.3.0.1/xsd-srcdir/xsd/xsd/xsd.hxx:41:26: error: 'XSDFrontend::SemanticGraph::Path' has no member named 'native_file_string'
> make[1]: *** [/build/user-xsd_3.3.0.1-1.1-amd64-pvChie/xsd-3.3.0.1/xsd-srcdir/xsd/xsd/cxx/elements.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/05/02/xsd_3.3.0.1-1.1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Bossek <bossekr@debian.org>:
Bug#624942; Package src:xsd. (Wed, 04 May 2011 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Boris Kolpackov <boris@codesynthesis.com>:
Extra info received and forwarded to list. Copy sent to Raphael Bossek <bossekr@debian.org>. (Wed, 04 May 2011 13:57:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Boris Kolpackov <boris@codesynthesis.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: submit@bugs.debian.org
Subject: Re: Bug#624942: xsd: FTBFS: elements.cxx:329:23: error: 'XSDFrontend::SemanticGraph::Path' has no member named 'native_file_string'
Date: Wed, 4 May 2011 16:07:09 +0200
Looks like native_file_string() function has disappeared from Boost
filesystem::path class.




Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Bossek <bossekr@debian.org>:
Bug#624942; Package src:xsd. (Wed, 08 Jun 2011 19:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Extra info received and forwarded to list. Copy sent to Raphael Bossek <bossekr@debian.org>. (Wed, 08 Jun 2011 19:24:06 GMT) Full text and rfc822 format available.

Message #15 received at 624942@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: 629486@bugs.debian.org, control@bugs.debian.org, 624942@bugs.debian.org
Subject: Re: PATCH to fix FTBFS error
Date: Wed, 8 Jun 2011 22:20:27 +0300
tags 624942 patch
tags 629486 -patch
thanks

Oops, sorry patch sent to the wrong bug number.

My apologies.

Konstantinos

On 8 June 2011 20:28, Konstantinos Margaritis <markos@genesi-usa.com> wrote:
> tags 629486 patch
> thanks
>
> The attached patch fixes the build error. Basically Boost 1.46 changed
> the API for the Filesystem module, as can be seen here:
>
> http://www.boost.org/doc/libs/1_46_1/libs/filesystem/v3/doc/deprecated.html
>
> The patch allows the build to succeed on both Filesystem API versions.
>
> Regards
>
> Konstantinos
>




Added tag(s) patch. Request was from Konstantinos Margaritis <markos@genesi-usa.com> to control@bugs.debian.org. (Wed, 08 Jun 2011 19:24:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Bossek <bossekr@debian.org>:
Bug#624942; Package src:xsd. (Wed, 08 Jun 2011 19:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Extra info received and forwarded to list. Copy sent to Raphael Bossek <bossekr@debian.org>. (Wed, 08 Jun 2011 19:45:06 GMT) Full text and rfc822 format available.

Message #22 received at 624942@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: 624942@bugs.debian.org
Subject: Re: PATCH to fix FTBFS error
Date: Wed, 8 Jun 2011 22:43:23 +0300
[Message part 1 (text/plain, inline)]
It would be even better if I actually remembered to attach the patch...

On 8 June 2011 22:20, Konstantinos Margaritis <markos@genesi-usa.com> wrote:
> tags 624942 patch
> tags 629486 -patch
> thanks
>
> Oops, sorry patch sent to the wrong bug number.
>
> My apologies.
>
> Konstantinos
>
> On 8 June 2011 20:28, Konstantinos Margaritis <markos@genesi-usa.com> wrote:
>> tags 629486 patch
>> thanks
>>
>> The attached patch fixes the build error. Basically Boost 1.46 changed
>> the API for the Filesystem module, as can be seen here:
>>
>> http://www.boost.org/doc/libs/1_46_1/libs/filesystem/v3/doc/deprecated.html
>>
>> The patch allows the build to succeed on both Filesystem API versions.
>>
>> Regards
>>
>> Konstantinos
>>
>
[xsd_boost1.46.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Bossek <bossekr@debian.org>:
Bug#624942; Package src:xsd. (Tue, 23 Aug 2011 20:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Raphael Bossek <bossekr@debian.org>. (Tue, 23 Aug 2011 20:33:11 GMT) Full text and rfc822 format available.

Message #27 received at 624942@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 624942@bugs.debian.org
Subject: xsd: diff for NMU version 3.3.0.1-1.2
Date: Tue, 23 Aug 2011 22:32:39 +0200
[Message part 1 (text/plain, inline)]
tags 624942 + patch pending
thanks


Dear maintainer,

I've prepared an NMU for xsd (versioned as 3.3.0.1-1.2) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
  .''`.
 :  :' :   Luca Falavigna <dktrkranz@debian.org>
 `.  `'
   `-
[xsd-3.3.0.1-1.2-nmu.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Tue, 23 Aug 2011 20:33:13 GMT) Full text and rfc822 format available.

Reply sent to Luca Falavigna <dktrkranz@debian.org>:
You have taken responsibility. (Thu, 25 Aug 2011 21:18:53 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Thu, 25 Aug 2011 21:18:53 GMT) Full text and rfc822 format available.

Message #34 received at 624942-close@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 624942-close@bugs.debian.org
Subject: Bug#624942: fixed in xsd 3.3.0.1-1.2
Date: Thu, 25 Aug 2011 21:07:28 +0000
Source: xsd
Source-Version: 3.3.0.1-1.2

We believe that the bug you reported is fixed in the latest version of
xsd, which is due to be installed in the Debian FTP archive:

xsd_3.3.0.1-1.2.debian.tar.gz
  to main/x/xsd/xsd_3.3.0.1-1.2.debian.tar.gz
xsd_3.3.0.1-1.2.dsc
  to main/x/xsd/xsd_3.3.0.1-1.2.dsc
xsdcxx_3.3.0.1-1.2_amd64.deb
  to main/x/xsd/xsdcxx_3.3.0.1-1.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624942@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca Falavigna <dktrkranz@debian.org> (supplier of updated xsd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 23 Aug 2011 22:06:28 +0200
Source: xsd
Binary: xsdcxx
Architecture: source amd64
Version: 3.3.0.1-1.2
Distribution: unstable
Urgency: medium
Maintainer: Raphael Bossek <bossekr@debian.org>
Changed-By: Luca Falavigna <dktrkranz@debian.org>
Description: 
 xsdcxx     - XML Data Binding for C++
Closes: 624942
Changes: 
 xsd (3.3.0.1-1.2) unstable; urgency=medium
 .
   * Non-maintainer upload.
 .
   [  Konstantinos Margaritis ]
   * debian/patches/boost1.46.patch:
     - Fix FTBFS against boost1.46 (Closes: #624942).
Checksums-Sha1: 
 e3c55a7e0e7119bccc2645f33133f914301e075b 1751 xsd_3.3.0.1-1.2.dsc
 f284bb08f2de5a69162752f9335f2778ac651c88 12188 xsd_3.3.0.1-1.2.debian.tar.gz
 a2b27f219f1006661c36b89fd63eee881dd7286e 2272940 xsdcxx_3.3.0.1-1.2_amd64.deb
Checksums-Sha256: 
 33e99f248b21d096b3c24a75a8e6a7f6573fe6f152bd91b17085ec73a916f47f 1751 xsd_3.3.0.1-1.2.dsc
 d3679d742f0d874ca79c253ba32e29b73076ba542c0bacd6cbf9c714a756b144 12188 xsd_3.3.0.1-1.2.debian.tar.gz
 e686e3c9198d2eec913ed205d0e0003549e6ebb2149fdac47eccda5cbe4630bb 2272940 xsdcxx_3.3.0.1-1.2_amd64.deb
Files: 
 dd9f277016a5fe69fecee2be917de0be 1751 devel optional xsd_3.3.0.1-1.2.dsc
 cd3c79296d63a60705799d4dd56a7fcf 12188 devel optional xsd_3.3.0.1-1.2.debian.tar.gz
 4837ad6712575ce55267543964083b0e 2272940 devel optional xsdcxx_3.3.0.1-1.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOVA5uAAoJEEkIatPr4vMfXQAP/RTrDtAqAptvx3H+Tf2BZNAO
AfMIR/vAV/EYL6tlSV8l4Tr2GWKUo/bNL2YisHJzXnCnwlezS0VpERhu7I0Hxlrv
8wULStUM25aWifwPywm24VJSVkcCDwwZrC2FUYxgRRWiCd9nKGJJOdGWzsBv7P1H
vuk6xtymfvWwpMEgIOkHYL+7yRm9VfUoOcJFjRt9AEZaz6lyVVTDSsHu3Njjo+bM
wfi2pXJG4NLi/nwbhVQRBepJPEJTerFrykbRzZ+8Yw67XN/V8YM/bsoZ6qngJ+tA
QpMEkApEyb8Ued0OiXKplLvTet71xFTHHNrBhp3cjVHHG/nfC7hGSUgyuwuMRSvh
kSvrpvB04c3ojkivUbuQG/6g5PH5L8rOPqq7o0wR9m/bycfss4imwjhbs2ObmLnt
Xo+FtLpBDx/kbzKMI4flDubwOLwnVbZthatkba3VMQl8k/irPyqI9ArWAjC+DrPZ
TCJdmd+O7LM/2fj3TO3S+B8U0be8tqLVjknYiQRNh5Q6CZM9fG9AIJ7Y96idBsQG
qdykf+z5CIa77nPgTEGUzX4NkeJutoihdc9n00pGYGlzehadbOuKkUjgNTLlJRbQ
Ym6l041Art3EWvdi4ZS46DIXlVHQ5ojIY/sTnD0spfZz4XLuDXm2+P1iD4RNQFFv
ryIBONjDy6aVgsLT09ov
=cwl9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 23 Sep 2011 07:37:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:23:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.